# Put an address on the do-not-send list

`POST /workspace/inbox/suppressed` · Rivier · inbox

Put an address on the do-not-send list.

- Scope: inbox:write
- Graphql: Mutation.inboxSuppressedAdd
- Sdk: inbox.suppressed.add
- Cli: inbox suppressed add

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "address": {
      "type": "string",
      "minLength": 3,
      "maxLength": 254
    }
  },
  "required": [
    "address"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/suppressed' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "address": "string"
}'
```
